---
apiVersion: cloudcredential.openshift.io/v1
kind: CredentialsRequest
metadata:
  creationTimestamp: "2022-03-08T10:13:54Z"
  generation: 1
  managedFields:
  - apiVersion: cloudcredential.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        .: {}
        f:providerSpec:
          .: {}
          f:apiVersion: {}
          f:kind: {}
          f:statementEntries: {}
        f:secretRef:
          .: {}
          f:name: {}
          f:namespace: {}
    manager: cluster-version-operator
    operation: Update
    time: "2022-03-08T10:13:54Z"
  name: aws-ebs-csi-driver-operator
  namespace: openshift-cloud-credential-operator
  resourceVersion: "1054"
  selfLink: /apis/cloudcredential.openshift.io/v1/namespaces/openshift-cloud-credential-operator/credentialsrequests/aws-ebs-csi-driver-operator
  uid: 4250aab2-0f3e-4b83-9af9-a98227c88f5c
spec:
  providerSpec:
    apiVersion: cloudcredential.openshift.io/v1
    kind: AWSProviderSpec
    statementEntries:
    - action:
      - ec2:AttachVolume
      - ec2:CreateSnapshot
      - ec2:CreateTags
      - ec2:CreateVolume
      - ec2:DeleteSnapshot
      - ec2:DeleteTags
      - ec2:DeleteVolume
      - ec2:DescribeInstances
      - ec2:DescribeSnapshots
      - ec2:DescribeTags
      - ec2:DescribeVolumes
      - ec2:DescribeVolumesModifications
      - ec2:DetachVolume
      - ec2:ModifyVolume
      effect: Allow
      resource: '*'
  secretRef:
    name: ebs-cloud-credentials
    namespace: openshift-cluster-csi-drivers
